import {client as WebSocketClient, connection} from "websocket";

export default class CloudHandler {
    private static websocket = new WebSocketClient();

    private static connection: connection;

    static connect() {
        return new Promise<void>((resolve, reject) => {
            this.websocket.connect("ws://smartmonopoly.iif.li");
            this.websocket.on("connectFailed", (err) => {
                reject(err);
            });
            this.websocket.on("connect", (connection) => {
                this.connection = connection;
                resolve();
            });
        });

    }
}